Bug 13863 - Datatables paging for cities and search history pages is broken
Summary: Datatables paging for cities and search history pages is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-18 09:49 UTC by Jonathan Druart
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13863: Fix Datatables paging on the cities and search history pages (1.74 KB, patch)
2015-03-18 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13863: Fix Datatables paging on the cities and search history pages (1.81 KB, patch)
2015-03-18 10:44 UTC, Brendan Gallagher
Details | Diff | Splinter Review
[PASSED QA] Bug 13863: Fix Datatables paging on the cities and search history pages (1.88 KB, patch)
2015-03-18 13:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[3.18.x] Bug 13863: Fix Datatables paging on the cities and search history pages (1.86 KB, patch)
2015-03-22 21:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-18 09:49:39 UTC

    
Comment 1 Jonathan Druart 2015-03-18 09:53:08 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-03-18 09:53:36 UTC
It should be the 2 last ones!
Comment 3 Brendan Gallagher 2015-03-18 10:44:09 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-03-18 13:06:07 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-03-19 00:59:30 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-03-21 22:06:51 UTC
Doesn't apply cleanly on 3.18.x please rebase if it is needed
Comment 7 Katrin Fischer 2015-03-22 21:42:11 UTC
Created attachment 37097 [details] [review]
[3.18.x] Bug 13863: Fix Datatables paging on the cities and search history pages

Test plan:
Go on admin/cities.pl and catalogue/search-history.pl and confirm the
pagination is not broken anymore.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Fixed conflict so patch applies on 3.18.x
Comment 8 Chris Cormack 2015-03-27 23:59:42 UTC
Pushed to 3.18.x will be in 3.18.6